variables:
  - id: 0
    name: ii
    type: _integer 
  - id: 1
    name: win
    type: multicore_wiz 
  - id: 2
    name: bt
    type: _boolean 
  - id: 3
    name: xo
    type: _boolean 
  - id: 4
    name: cd
    type: _integer 
  - id: 5
    name: bto
    type: _boolean 
  - id: 6
    name: btb
    type: _boolean 
  - id: 7
    name: wa
    type: multicore_wiz 
  - id: 8
    name: cc
    type: _real 
  - id: 9
    name: r1
    type: _real 
  - id: 10
    name: r2
    type: _real 

channels:
  - 0
  - 1
  - 2
  - 3
  - 4
  - 5
  - 6
  - 7
  - 8
  - 9
  - 10

main:
  name: multicore_multicore
  ctx_type: multicore_multicore_ctx_type
  ctx_new: multicore_multicore_ctx_new_ctx
  var_in:
    - 0
    - 1
    - 2
  var_out:
    - 3
    - 4
    - 5
  ch_in:
    - 3
    - 4
    - 7
  ch_out:
    - 0
    - 1
    - 2

nodes:
  - id: 0
    file_name: multicore_A
    fct_name: multicore_A_step
    ctx: false

  - id: 1
    file_name: multicore_B
    fct_name: multicore_B_step
    ctx: true
    ctx_tab: multicore_B_ctx_tab

  - id: 2
    file_name: multicore_C
    fct_name: multicore_C_step
    ctx: true
    ctx_tab: multicore_C_ctx_tab

  - id: 3
    file_name: multicore_D
    fct_name: multicore_D_step
    ctx: false

instances:
  - id: 0
    node: 0
    var_in:
    - 1
    var_out:
    - 7
    ch_in:
    - 3
    ch_out:
    - 5
    - 8

  - id: 0
    node: 1
    var_in:
    - 1
    - 2
    var_out:
    - 6
    - 9
    ch_in:
    - 4
    ch_out:
    - 6

  - id: 1
    node: 1
    var_in:
    - 7
    - 6
    var_out:
    - 5
    - 10
    ch_in:
    - 5
    - 6
    ch_out:
    - 2
    - 10

  - id: 0
    node: 2
    var_in:
    - 0
    - 7
    var_out:
    - 3
    - 8
    ch_in:
    - 7
    - 8
    ch_out:
    - 0
    - 9

  - id: 0
    node: 3
    var_in:
    - 8
    - 10
    var_out:
    - 4
    ch_in:
    - 9
    - 10
    ch_out:
    - 1

